Bug 43383 - as of RedHat 7.0, tcsh doesn't accept meta chars; "nokanji" should be set by default
Summary: as of RedHat 7.0, tcsh doesn't accept meta chars; "nokanji" should be set by ...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcsh (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-04 17:29 UTC by Jonathan Kamens
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-28 14:57:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2001-06-04 17:29:57 UTC
Tcsh's KANJI feature was enabled in tcsh-6.09-6, which was included with
RedHat 7.0.  As a result, as of RedHat 7.0 or later, it's no longer
possible to create key bindings to meta characters (e.g., \377 for
backward-delete-word).

Given that this is a regression in functionality, and that the majority
majority of people will never use tcsh's kanji support, I think that this
support should be disabled by default, e.g., by putting "set nokanji" in
one of the files in /etc/profile.

Comment 1 Eido Inoue 2001-07-24 04:40:23 UTC
KANJI enabling has been removed until a move I18N solution can be found.


Note You need to log in before you can comment on or make changes to this bug.